Bug 1082904 - (CVE-2013-5705) CVE-2013-5705 mod_security: bypass of intended rules via chunked requests
CVE-2013-5705 mod_security: bypass of intended rules via chunked requests
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140331,repor...
: Security
Depends On: 1082905 1082906 1082907
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-01 00:54 EDT by Murray McAllister
Modified: 2015-10-15 14:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: mod_security 2.7.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 09:56:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-04-01 00:54:44 EDT
Martin Holst Swende discovered a flaw in the way mod_security handled chunked requests. A remote attacker could use this flaw to bypass intended mod_security restrictions, allowing them to send requests containing content that should have been removed by mod_security.

This issue was corrected in mod_security version 2.7.6.

Upstream patch: https://github.com/SpiderLabs/ModSecurity/commit/f8d441cd25172fdfe5b613442fedfc0da3cc333d

References:

http://martin.swende.se/blog/HTTPChunked.html
Comment 1 Murray McAllister 2014-04-01 01:00:53 EDT
Created mod_security tracking bugs for this issue:

Affects: fedora-all [bug 1082905]
Affects: epel-all [bug 1082906]
Comment 3 Fedora Update System 2014-04-14 18:33:48 EDT
mod_security-2.7.5-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-04-14 18:41:22 EDT
mod_security-2.7.5-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-04-17 15:42:27 EDT
mod_security-2.6.8-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-04-17 15:42:45 EDT
mod_security-2.7.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.